Subject: Re: [PATCHv2] commit: reword --author error message

From: Ramsay Jones <[email-masked]>
Date: Tue, 27 Jan 2015 12:22:04 +0000

On 26/01/15 19:07, Jeff King wrote:
> On Mon, Jan 26, 2015 at 04:48:33PM +0100, Michael J Gruber wrote:
> 
>> -	die(_("No existing author found with '%s'"), name);
>> +	die(_("--author '%s': neither 'Name <email>' nor a match for an existing author"), name);
> 
> I had to add to the bikeshed, but I had to read this several times to
> make sense of it. It is grammatically:
> 
>   X [is] neither Y nor Z
> 
> except that by eliding the verb ("is"), I somehow had trouble making
> sense of Z ("a match...") as a noun.
> 
> I came up with:
> 
>   --author '%s': neither 'Name <email>' nor matches an existing author
> 
> only to see that it was suggested earlier in the thread as a predecessor
> to this. ;)
> 
> I wonder if adding back in the missing verb, rather than a colon, would
> also make more sense:
> 
>   --author '%s' is neither 'Name <email>' nor a match for an existing author
> 

I usually don't like to add anything to the bikeshed, but ...

This sounds odd to me, so maybe:

  --author '%s' is neither in the form of 'Name <email>' nor a match for an existing author

although that is getting a bit long! :-D

ATB,
Ramsay Jones